package gotowe.p04_operatory;

public class PlusPlus {

    public static void main(String[] args) {
        int x;
        int y;

        x = 10;
        y = ++x;
        System.out.println("++x    preinkrementacja");
        System.out.println("x: " + x + "    ,    y: " + y);
        System.out.println();

        x = 20;
        y = x++;
        System.out.println("x++    postinkrementacja");
        System.out.println("x: " + x + "    ,    y: " + y);
        System.out.println();

        x = 50;
        System.out.println(x++);
        System.out.println(++x);
        System.out.println();

        Integer a = 100;
        a++;
        System.out.println(a); // a wskazuje już na inny obiekt
        System.out.println();

        double d = 0.5;
        System.out.println(d);
        d++; // można inkrementować też float i double
        System.out.println(d);
        System.out.println();

        y = x = 100;
        System.out.println("x: " + x + "    ,    y: " + y);

        y = 33;
        y = x += 5; // x zwiększam o 5, a to co wyjdzie, wpisuję także na y
        System.out.println(" += 5");
        System.out.println("x: " + x + "    ,    y: " + y);
    }

}
